Bug 855468 - Anaconda gives error "not enough free space on disk" instead of "no free partition slots"
Anaconda gives error "not enough free space on disk" instead of "no free part...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 859420
  Show dependency treegraph
 
Reported: 2012-09-07 17:53 EDT by Andrew McNabb
Modified: 2014-02-05 07:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 859420 (view as bug list)
Environment:
Last Closed: 2014-02-05 07:09:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packages list (5.31 KB, text/plain)
2013-05-23 11:18 EDT, Andrew McNabb
no flags Details

  None (edit)
Description Andrew McNabb 2012-09-07 17:53:47 EDT
Anaconda aborted installation with the error, "Could not allocate requested partitions: not enough free space on disk." However, the storage.log had the error, "DEBUG storage: no free partition slots on sda". The error displayed in the dialog ("not enough free space on disk") was misleading. Using the same message found in "storage.log" would be very clear

This problem can be reproduced by having a kickstart script define 5 partitions with an MSDOS partition table.
Comment 1 Martin Banas 2013-05-23 03:12:11 EDT
Hi Andrew,
Could you please attach kickstart you use to reproduce this?

Thanks
Comment 2 Andrew McNabb 2013-05-23 11:18:12 EDT
Created attachment 752265 [details]
packages list

I'm attaching the packages section of the kickstart file, which I believe to be the relevant part of it. I could give the rest of the kickstart file if needed, but it has some site-specific stuff like URLs that would make it hard to use directly as-is. But the packages section should be enough to reproduce.
Comment 3 Fedora End Of Life 2013-12-21 03:50:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 07:09:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.